%define lcms2_major	2
%define libname		%mklibname lcms2_ %{lcms2_major}
%define devname		%mklibname lcms2 -d

%define rel		2
# release candidate
%define relc		0

%if %{relc}
%define release		%mkrel 0.rc%{relc}.%{rel}
%define distname	%{name}-%{version}rc%{relc}
%else
%define release		%mkrel %{rel}
%define distname	%{name}-%{version}
%endif

Name:		lcms2
Version:	2.15
Release:	%{release}
Summary:	Color Management Engine
License:	MIT
Group:		Graphics/Utilities
URL:		https://www.littlecms.com/
Source0:	https://www.littlecms.com/%{distname}.tar.gz
Patch1:		360.patch
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	meson

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%files
%doc AUTHORS COPYING
%{_bindir}/jpgicc2
%{_bindir}/linkicc2
%{_bindir}/psicc2
%{_bindir}/tificc2
%{_bindir}/transicc2
%{_mandir}/man1/*

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_libdir}/liblcms2.so.%{lcms2_major}{,.*}

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for LittleCMS
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for LittleCMS.

%files -n %{devname}
%{_includedir}/%{name}*.h
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#------------------------------------------------------------------------------

%prep
%setup -q -n %{distname}
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_includedir}/lcms2
install -D -m 644 include/lcms2.h %{buildroot}%{_includedir}/lcms2/lcms2.h
install -D -m 644 include/lcms2_plugin.h %{buildroot}%{_includedir}/lcms2/lcms2_plugin.h

for prog in jpgicc linkicc psicc tificc transicc; do
  mv %{buildroot}%{_bindir}/${prog} %{buildroot}%{_bindir}/${prog}2
done

%check
%meson_test


%changelog
* Thu May 04 2023 daviddavid <daviddavid> 2.15-2.mga9
+ Revision: 1955803
- fix owner of include dir

* Mon Mar 20 2023 luigiwalser <luigiwalser> 2.15-1.mga9
+ Revision: 1949875
- 2.15
- remove upstream patch
- add patch1 from fedora to fix big endian cargs

* Wed Feb 15 2023 papoteur <papoteur> 2.14-4.mga9
+ Revision: 1942607
- fix memory corruptions for colord (mga#31544)
- fix for memory corruption (mga#31544)

* Mon Dec 12 2022 ns80 <ns80> 2.14-2.mga9
+ Revision: 1921047
- rebuild for new libtiff

* Tue Nov 15 2022 luigiwalser <luigiwalser> 2.14-1.mga9
+ Revision: 1907614
- 2.14

* Mon May 16 2022 ghibo <ghibo> 2.13.1-5.mga9
+ Revision: 1858430
- Remove unneeded hack on libtool rpath (wally)

* Mon May 16 2022 ghibo <ghibo> 2.13.1-4.mga9
+ Revision: 1858413
- Duplicate includes to /usr/include/lcms2 to facilitate detection

* Mon May 16 2022 ghibo <ghibo> 2.13.1-3.mga9
+ Revision: 1858409
- Remove libpath from libtool (FC).
- Add checks.
- Move docs up one level.

* Mon May 16 2022 ghibo <ghibo> 2.13.1-2.mga9
+ Revision: 1858386
- Update to release 2.13.1

* Mon Mar 28 2022 umeabot <umeabot> 2.12-2.mga9
+ Revision: 1830454
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 2.12-1.mga9
+ Revision: 1693336
- new version: 2.12

* Wed Jun 17 2020 daviddavid <daviddavid> 2.11-1.mga8
+ Revision: 1594108
- new version: 2.11

* Sat Jun 06 2020 daviddavid <daviddavid> 2.10-1.mga8
+ Revision: 1590675
- new version: 2.10
- remove merged upstream patch

* Tue Feb 11 2020 umeabot <umeabot> 2.9-4.mga8
+ Revision: 1489131
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 10 2018 ns80 <ns80> 2.9-3.mga7
+ Revision: 1258127
- add upstream patch for CVE-2018-16435 (mga#23533)

* Tue Apr 03 2018 kekepower <kekepower> 2.9-2.mga7
+ Revision: 1215038
- Update to version 2.9

* Tue Aug 16 2016 luigiwalser <luigiwalser> 2.8-2.mga6
+ Revision: 1046513
- add upstream patch to fix out-of-bounds read

* Thu Aug 11 2016 luigiwalser <luigiwalser> 2.8-1.mga6
+ Revision: 1045509
- 2.8
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 19 2015 luigiwalser <luigiwalser> 2.7-1.mga6
+ Revision: 904382
- 2.7
- removed CVE-2014-0459 patch (fixed upstream)

* Wed Oct 15 2014 umeabot <umeabot> 2.6-3.mga5
+ Revision: 740319
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6-2.mga5
+ Revision: 681284
- Mageia 5 Mass Rebuild

* Sat Apr 26 2014 luigiwalser <luigiwalser> 2.6-1.mga5
+ Revision: 618256
- 2.6

* Tue Apr 22 2014 luigiwalser <luigiwalser> 2.5-3.mga5
+ Revision: 617407
- rediff patch from upstream openjdk to fix CVE-2014-0459

* Sat Oct 19 2013 umeabot <umeabot> 2.5-2.mga4
+ Revision: 530099
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 fwang <fwang> 2.5-1.mga4
+ Revision: 455876
- 2.5 final

* Sun Jun 16 2013 blino <blino> 2.5-0.rc1.1.mga4
+ Revision: 443804
- 2.5 rc1 (needed for ghostscript 9.07)

* Thu Jan 24 2013 fwang <fwang> 2.4-3.mga3
+ Revision: 391798
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 fwang <fwang> 2.4-1.mga3
+ Revision: 294293
- new version 2.4

* Tue Jan 03 2012 fwang <fwang> 2.3-1.mga2
+ Revision: 189776
- new version 2.3

* Fri Dec 23 2011 fwang <fwang> 2.2-4.mga2
+ Revision: 186529
- rebuild for new libtiff

* Wed Jul 13 2011 mikala <mikala> 2.2-3.mga2
+ Revision: 123706
- Add missing group (mga #2137)

* Wed Jul 06 2011 wally <wally> 2.2-2.mga2
+ Revision: 119397
- fix libification
- clean .spec a bit

* Wed Jun 22 2011 mikala <mikala> 2.2-1.mga2
+ Revision: 112465
- imported package lcms2

